Package oasis.names.tc.saml._1_0.protocol

# Class ObjectFactory

java.lang.Object
oasis.names.tc.saml._1_0.protocol.ObjectFactory

public class ObjectFactory extends Object
This object contains factory methods for each Java content interface and Java element interface generated in the oasis.names.tc.saml._1_0.protocol package.

An ObjectFactory allows you to programmatically construct new instances of the Java representation for XML content. The Java representation of XML content can consist of schema derived interfaces and classes representing the binding of schema type definitions, element declarations and model groups. Factory methods for each of these are provided in this class.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ObjectFactory()`
  Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: oasis.names.tc.saml._1_0.protocol

- ## Method Summary

  Modifier and Type
  Method
  Description
  `jakarta.xml.bind.JAXBElement<String>`
  `createAssertionArtifact(String value)`
  Create an instance of `JAXBElement``<``String``>`
  `AttributeQuery`
  `createAttributeQuery()`
  Create an instance of `AttributeQuery`
  `AuthenticationQuery`
  `createAuthenticationQuery()`
  Create an instance of `AuthenticationQuery`
  `AuthorizationDecisionQuery`
  `createAuthorizationDecisionQuery()`
  Create an instance of `AuthorizationDecisionQuery`
  `jakarta.xml.bind.JAXBElement<QueryAbstractType>`
  `createQuery(QueryAbstractType value)`
  Create an instance of `JAXBElement``<``QueryAbstractType``>`
  `Request`
  `createRequest()`
  Create an instance of `Request`
  `jakarta.xml.bind.JAXBElement<QName>`
  `createRespondWith(QName value)`
  Create an instance of `JAXBElement``<``QName``>`
  `Response`
  `createResponse()`
  Create an instance of `Response`
  `Status`
  `createStatus()`
  Create an instance of `Status`
  `StatusCode`
  `createStatusCode()`
  Create an instance of `StatusCode`
  `StatusDetail`
  `createStatusDetail()`
  Create an instance of `StatusDetail`
  `jakarta.xml.bind.JAXBElement<String>`
  `createStatusMessage(String value)`
  Create an instance of `JAXBElement``<``String``>`
  `jakarta.xml.bind.JAXBElement<SubjectQueryAbstractType>`
  `createSubjectQuery(SubjectQueryAbstractType value)`
  Create an instance of `JAXBElement``<``SubjectQueryAbstractType``>`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ObjectFactory

    public ObjectFactory()
    Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: oasis.names.tc.saml._1_0.protocol

- ## Method Details

  - ### createRequest

    public Request createRequest()
    Create an instance of `Request`
    Returns:
      the new instance of `Request`

  - ### createAuthorizationDecisionQuery

    public AuthorizationDecisionQuery createAuthorizationDecisionQuery()
    Create an instance of `AuthorizationDecisionQuery`
    Returns:
      the new instance of `AuthorizationDecisionQuery`

  - ### createAttributeQuery

    public AttributeQuery createAttributeQuery()
    Create an instance of `AttributeQuery`
    Returns:
      the new instance of `AttributeQuery`

  - ### createAuthenticationQuery

    public AuthenticationQuery createAuthenticationQuery()
    Create an instance of `AuthenticationQuery`
    Returns:
      the new instance of `AuthenticationQuery`

  - ### createResponse

    public Response createResponse()
    Create an instance of `Response`
    Returns:
      the new instance of `Response`

  - ### createStatus

    public Status createStatus()
    Create an instance of `Status`
    Returns:
      the new instance of `Status`

  - ### createStatusCode

    public StatusCode createStatusCode()
    Create an instance of `StatusCode`
    Returns:
      the new instance of `StatusCode`

  - ### createStatusDetail

    public StatusDetail createStatusDetail()
    Create an instance of `StatusDetail`
    Returns:
      the new instance of `StatusDetail`

  - ### createRespondWith

    public jakarta.xml.bind.JAXBElement<QName> createRespondWith(QName value)
    Create an instance of `JAXBElement``<``QName``>`
    Parameters:
      `value` - Java instance representing xml element's value.
    Returns:
      the new instance of `JAXBElement``<``QName``>`

  - ### createAssertionArtifact

    public jakarta.xml.bind.JAXBElement<String> createAssertionArtifact(String value)
    Create an instance of `JAXBElement``<``String``>`
    Parameters:
      `value` - Java instance representing xml element's value.
    Returns:
      the new instance of `JAXBElement``<``String``>`

  - ### createSubjectQuery

    public jakarta.xml.bind.JAXBElement<SubjectQueryAbstractType> createSubjectQuery(SubjectQueryAbstractType value)
    Create an instance of `JAXBElement``<``SubjectQueryAbstractType``>`
    Parameters:
      `value` - Java instance representing xml element's value.
    Returns:
      the new instance of `JAXBElement``<``SubjectQueryAbstractType``>`

  - ### createQuery

    public jakarta.xml.bind.JAXBElement<QueryAbstractType> createQuery(QueryAbstractType value)
    Create an instance of `JAXBElement``<``QueryAbstractType``>`
    Parameters:
      `value` - Java instance representing xml element's value.
    Returns:
      the new instance of `JAXBElement``<``QueryAbstractType``>`

  - ### createStatusMessage

    public jakarta.xml.bind.JAXBElement<String> createStatusMessage(String value)
    Create an instance of `JAXBElement``<``String``>`
    Parameters:
      `value` - Java instance representing xml element's value.
    Returns:
      the new instance of `JAXBElement``<``String``>`